Por qué deberías volver a GNOME Software y olvidarte del Ubuntu Software de Ubuntu 20.04… por lo menos de momento

Ubuntu software y Software de Ubuntu, dos tiendas en Ubuntu 20.04

Para mí es de los peores movimientos de Canonical en años. Entiendo que quieran impulsar el uso de paquetes Snap y motivar a desarrolladores y usuarios, pero esta no es la manera. No lo es porque es confuso, los usuarios menos inexpertos no encontrarán algunas opciones y los más avanzados sentimos falta de libertad… a no ser que instalemos la vieja GNOME Software y sigamos disfrutando de todo como hasta ahora.

Y es que, por lo menos en la actualidad,el Ubuntu Software de Focal Fossa no es compatible con los paquetes Flatpak, por ejemplo. Además, así como Discover puede mostrar hasta tres versiones de un software (APT, Snap y Flatpak si habilitamos el soporte), la nueva tienda de Ubuntu 20.04 sólo muestra una, la de Snapcraft, obligándonos a instalar el paquete Snap aunque tengamos la versión APT disponible desde los repositorios oficiales… a no ser que no exista paquete Snap, que entonces sí ofrece la versión APT. Como dije antes, confuso.

GNOME Software es compatible con Snap y Flatpak

Tal y como explicamos en este artículo sobre cómo habilitar el soporte para paquetes Flatpak en Ubuntu, hasta Ubuntu 20.04 podíamos hacer que la tienda de software de Ubuntu mostrara resultados de Flathub si instalábamos el paquete «gnome-software-plugin-flatpak», pero en el momento de escribir estas líneas no hay nada parecido para el nuevo Ubuntu Software, y dudo de que Canonical lo permita en un futuro.

Por lo tanto, ¿por qué tenemos que usar la nueva tienda de software? ¿Qué ventajas nos ofrece? Ahora que he podido probar las dos en profundidad, una al lado de la otra, creo que sí, que Canonical debe intentar mejorar el soporte para sus paquetes, pero no al precio de confundir TANTO y perjudicar TANTO a sus usuarios. Mientras no cambie algo, como puede ser relajar sus métodos promocionando más los Snap pero mostrando las versiones APT aunque sea de tapadillo, estoy convencido de que lo mejor es instalar el paquete «gnome-software» y seguir instalando software como lo hacíamos hasta Eoan Ermine.

El cambio a Unity me gustó poco, tan poco que me pasé a Ubuntu MATE en cuanto pude, pero era cuestión de gustos y no iba tan mal en equipos potentes. El cambio de tienda creo que es malo para todos los usuarios, y sé que muchos opináis lo mismo. Esperemos que Canonical dé marcha atrás y, si no, siempre podemos instalar otras opciones.


15 comentarios, deja el tuyo

  1.   Rafa dijo

    Por estas cosas me pasé a MInt… para sortear las imposiciones de Mark. No seré yo el que niegue que en su día hizo un buen trabajo y que Ubuntu es buena. Pero de esto a imponer cualquier cosa que se la pase por la cabeza, como si fuera la mejor del mundo, porque se le a ocurrido a él. Pues no. Por ahí no paso, y soy uno más que se fue para siempre. Mint es ubuntu mejorado y sin las paranoias de Mark.

    Snap es una mierda comparada con appimage y flatpak. Y para no extenderme más aquí lo dejo. Pero hice muchos test con varias aplicaciones y si en el futuro de linux se impone snap como única opción, me vuelvo a windows 🙂 porque vaya bazofia.

  2.   Daniel dijo

    Tienes razón llevo probando los snap y realmente muy mal. Muchos de ellos, casi todos solo funcionan dentro del sistema y no son capaces por ejemplo, editores de texto, reproductores de música, leer archivos en otras particiones o discos externos (excepto vlc). Decir que Flatpak esta mucho más trabajado, funciona realmente bien y las appimage me han sacado de más de un problema, muy útiles. Te encuentro la razón el centro de sofware es realmente confuso, tienes que fijarte muy bien que estás instalando. Por otro lado llama la atención que algunas aplicaciones de repositorios no están actualizadas, pero si los snap. El peligro yace en dejar de lado las aplicaciones de los repositorios para siempre y obligar al usuario al paquete snap, que para canonical es el futuro. saludos.

    1.    Nasher_87(ARG) dijo

      Daniel, tienen esos permisos deshabilitados, sino los activas nunca leerá particiones externas

      1.    Rafael Romero dijo

        ¿Probaste darle permisos? Creo que no, porque los Snaps funcionan y muy bien.

    2.    Rafa dijo

      Yo mismo en Gimp para poder poner pinceles, degradados y plugins de terceros, que dolor de cabeza… sin embargo con flatpak no tuve que hacer nada, los reconoció automáticamente de la carpeta del home.

      Luego el rendimiento en snap, muy inferior, pero muy inferior al de flatpak. Y por no hablar de los tiempos de apertura, al más genuino estilo microsoft, lo de dar doble clic al icono e ir a tomar un café.

      1.    Daniel dijo

        Gracias compadre, no tenía idea de los permisos. Se agradece.

        1.    Pelayo dijo

          Tienes razón. Me paso exactamente lo mismo con GIMP y plugins de terceros. Con Flat lo solucioné sin tomar paracetamol.

    3.    Rafael Romero dijo

      La verdad desde que uso Ubuntu y sus derivados, cómo POP_OS, Mint, entre otros, jamás he tocado la tienda de Gnome Software (hasta ahora sé que se llama así). Lo primero que siempre hago es irme a la ventana de comandos y usar el siempre confiable APT, descargar los DEB directos, o compilar desde código fuente… hasta hace año y medio que lo primero que hago es «sudo apt install snapd snap-store». La verdad es que la tienda de Gnome no la uso porque la mayoría de las veces trae cosas obsoletas y si quitaron la Store de siempre, no creo que haya sido porque la usen mucho, y tampoco porque la hayan impuesto o por la paranoia de no sé quién. Si no hubiera leído este artículo, jamás me habría dado cuenta de tal ausencia. No me incluyan en la «mayoría» que menciona este artículo, de experiencia visual sé que esa tienda no se usa, al menos no entre mi círculo de amigos linuxeros.

  3.   Alberto dijo

    Si queréis un gnome de verdad en Ubuntu, usad Pop!_os (que está ya en beta de 20.04). Es todo lo que debería ser Ubuntu

  4.   Nick0bre dijo

    Pablinux, concuerdo contigo en lo poco acertado de la empresa Canonical para imponer estos paquetes snap de alguna forma, no presentando la calidad esperada en los sistemas operativos de Linux. Otr@s dedicados a empaquetar Debian, RedHat, AppImage, Flatpak y Arch Linux destacan por priorizar la calidad ante los sistemas clasicos Linux.. canonical esta haciendo agua con sus ex Snappy ( recuerdan algunos que en 2016 estos paquetes tenian el proposito de Ubuntu Touch) imponiendo su uso.

  5.   Antonio dijo

    Empecé mi andadura en Linux con Ubuntu, hace ya más de 10 años. Cuando leo artículos como éste, cada vez me siento más a gusto de haber cambiado a Manjaro. Con el repositorio AUR tienes todo el software con un solo click.

    1.    Miguel dijo

      Totalmente de acuerdo Antonio, con manjaro y aur no hay nada que no se encuentre y que no se solucione. Me cansé de los fallos en la actualización entre una y otra versión cosa que en manjaro jamás sucede y todo está actualizado.

  6.   Monet dijo

    El dia que no pueda instalar software no-snap dejare ubuntu… bien que hace rato estoy tratando de instalar freeBSD.

    Para mi snap es una porqueria y no voy a bajar mis estandares solo por «comodidad» o imposicion.

  7.   tetelx dijo

    El repositorio «http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal Release» no tiene un fichero de Publicación

    Err:9 http://ppa.launchpad.net/alexlarsson/flatpak/ubuntu focal Release
    404 Not Found [IP:——————————-

    Y ahora que hago¿?¿?¿?¿?¿?

    1.    Pablinux dijo

      Debería funcionar. Si no, puedes instalar un paquete de «flatpak» algo anterior que está en los repositorios oficiales y te vale igual.

      Un saludo.

Deja tu comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*

*

  1. Responsable de los datos: Miguel Ángel Gatón
  2. Finalidad de los datos: Controlar el SPAM, gestión de comentarios.
  3. Legitimación: Tu consentimiento
  4. Comunicación de los datos: No se comunicarán los datos a terceros salvo por obligación legal.
  5. Almacenamiento de los datos: Base de datos alojada en Occentus Networks (UE)
  6. Derechos: En cualquier momento puedes limitar, recuperar y borrar tu información.